package org.itscool.weber.action;

import org.itscool.weber.controller.Globals;


/**
 * Globals.NOOPE_SUCCESS("success")のみを返却するアクションです<BR>
 * このアクションは何も実行しません
 * @author KANO
 * @since jdk1.4.1
 * @version 1.00A 2004/11/1
 */
public class NoOpAction4x extends Action {

    /* (Javadoc なし)
     * @see org.itscool.servlet.Action#doExecute(
     *         org.itscool.servlet.ActionBucket)
     */
    public String doExecute(ActionBucket bucket){
        String ret = (String)this.getParameter("return");
        if( ret == null || ret.length()==0){
            return Globals.RET_SUCCESS;
        }
        return ret;
    }

}
